﻿Public Class frmDistances
    'Creat array that stores mileage chart
    Dim mshoMileage(,) As Short

    Private Sub frmDistances_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim shoNum As Short
        Dim sreStreamReader As IO.StreamReader
        Dim strCity As String
        Dim shoCount As Short
        Dim strLine As String
        Dim strMiles() As String
        Dim i As Integer

        'Open file to read in city names
        sreStreamReader = IO.File.OpenText("BrookingsCountyCities.dat")

        Do Until sreStreamReader.Peek = -1

            'Read line from file and add it to both ListBoxes
            strCity = sreStreamReader.ReadLine

            lstStart.Items.Add(strCity)
            lstEnd.Items.Add(strCity)

            'Add 1 to count to get number of rows for the array
            shoNum = shoNum + 1

        Loop

        'Close file
        sreStreamReader.Close()


        sreStreamReader = IO.File.OpenText("BrookingsCountyMileage.dat")

        Do Until sreStreamReader.Peek = -1

            'Read line from file and populate a row of array
            ReDim Preserve mshoMileage(shoNum - 1, shoNum - 1)

            strLine = sreStreamReader.ReadLine
            strMiles = strLine.Split(",")

            'Loop populates columns in current row of array
            For i = 0 To shoNum - 1
                mshoMileage(shoCount, i) = System.Convert.ToInt16(strMiles(i))
            Next i

            'Add 1 to advance to the next row of the array
            shoCount = shoCount + 1
        Loop

    End Sub

    Private Sub lstStart_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstStart.SelectedIndexChanged
        'Gets the miles and kilometers
        Call CalcMiles()

    End Sub

    Private Sub lstEnd_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstEnd.SelectedIndexChanged
        'Gets the miles and kilometers
        Call CalcMiles()

    End Sub

    Private Sub CalcMiles()
        'Finds the right miles based on the item selected from the ListBox
        'Use the miles to calculate the kilometers
        Dim shoStart As Short
        Dim shoEnd As Short
        Dim shoMiles As Short
        Dim sngKilometers As Single

        'Gets the selected item from each ListBox
        shoStart = lstStart.SelectedIndex
        shoEnd = lstEnd.SelectedIndex

        'If an item from each ListBox is selected
        'it gets the miles and calculates the kilometers
        If shoStart > -1 And shoEnd > -1 Then
            'Good input
            shoMiles = mshoMileage(shoStart, shoEnd)
            sngKilometers = shoMiles * 1.609

        Else
            'No input
            shoMiles = 0
            sngKilometers = 0

        End If

        'Output
        lblMiles.Text = shoMiles.ToString
        lblKilometers.Text = sngKilometers.ToString("n1")

    End Sub

End Class
