Public Structure sStates
    Dim strState As String
    Dim lngPop2000 As Long
    Dim lngPop2030 As Long
    Dim sngPercentChange As Single
End Structure
Public Class Form1
    Dim States(49) As sStates

    Private Sub btnEstimates_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnEstimates.Click
        Dim strField() As String
        Dim srdFile As System.IO.StreamReader
        Dim strLine As String
        Dim intCount As Integer
        Dim strDetail As String

        rtbOut.Clear()
        rtbOut.AppendText("         2030 State Population Estimates")
        rtbOut.AppendText(vbNewLine & vbNewLine)
        rtbOut.AppendText("State            2000 Pop.  %Change  2030 Est.")
        rtbOut.AppendText(vbNewLine)

        'Open File
        ofdPop.ShowDialog()
        srdFile = New System.IO.StreamReader(ofdPop.FileName)

        'Read
        strLine = srdFile.ReadLine()

        Do While srdFile.Peek <> -1

            'Parse
            strField = strLine.Split(",")

            States(intCount).strState = strField(0)
            States(intCount).lngPop2000 = System.Convert.ToInt32(strField(1))
            States(intCount).sngPercentChange = System.Convert.ToSingle(strField(2))

            'Calculate
            States(intCount).lngPop2030 = States(intCount).lngPop2000 + (States(intCount).lngPop2000 * States(intCount).sngPercentChange)
            States(intCount).sngPercentChange = States(intCount).sngPercentChange * 100

            'Output
            strDetail = States(intCount).strState.PadRight(14) & _
            States(intCount).lngPop2000.ToString("n0").PadLeft(12) & _
            States(intCount).sngPercentChange.ToString("n2").PadLeft(8) & _
            States(intCount).lngPop2030.ToString("n0").PadLeft(12)

            rtbOut.AppendText(strDetail & ControlChars.NewLine)

            strLine = srdFile.ReadLine()
            intCount = intCount + 1
        Loop

        'Close
        srdFile.Close()

    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End
    End Sub
End Class
