﻿'Prologue

Public Class frmBinarySearch

    Private Sub btnSearch_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSearch.Click
        'Declarations
        Dim strState() As String = {"Alabama", "Alaska", "Arizona", "Arkansas", "California", "Colorado", "Connecticut", "Delaware", "Florida", "Georgia", "Hawaii", "Idaho", "Illinois", "Indiana", "Iowa", "Kansas", "Kentucky", "Louisiana", "Maine", "Maryland", "Massachusetts", "Michigan", "Minnesota", "Mississippi", "Missouri", "Montana", "Nebraska", "Nevada", "New Hampshire", "New Jersey", "New Mexico", "New York", "North Carolina", "North Dakota", "Ohio", "Oklahoma", "Oregon", "Pennsylvania", "Rhode Island", "South Carolina", "South Dakota", "Tennessee", "Texas", "Utah", "Vermont", "Virginia", "Washington", "West Virginia", "Wisconsin", "Wyoming"}
        Dim strCapital() As String = {"Montgomery", "Juneau", "Phoenix", "Little Rock", "Sacramento", "Denver", "Hartford", "Dover", "Tallahassee", "Atlanta", "Honolulu", "Boise", "Springfield", "Indianapolis", "Des Moines", "Topeka", "Frankfort", "Baton Rouge", "Augusta", "Annapolis", "Boston", "Lansing", "St. Paul", "Jackson", "Jefferson City", "Helena", "Lincoln", "Carson City", "Concord", "Trenton", "Santa Fe", "Albany", "Raleigh", "Bismarck", "Columbus", "Oklahoma City", "Salem", "Harrisburg", "Providence", "Columbia", "Pierre", "Nashville", "Austin", "Salt Lake City", "Montpellier", "Richmond", "Olympia", "Charleston", "Madison", "Cheyenne"}
        Dim strDetail As String = "Not Found"
        Dim strSearch As String
        Dim intLow As Integer
        Dim intMiddle As Integer
        Dim intHigh As Integer = strState.GetUpperBound(0)
        Dim blnDone As Boolean

        'Input
        strSearch = txtSearch.Text

        'Processing
        rtbOut.Clear()
        rtbOut.AppendText("State".PadRight(15) & "Capital" & vbNewLine)

        Do While intLow <= intHigh And Not blnDone
            intMiddle = (intLow + intHigh) \ 2
            If strSearch.ToUpper = strState(intMiddle).ToUpper Then
                strDetail = strState(intMiddle).PadRight(15) & _
                strCapital(intMiddle).PadRight(15) & vbNewLine
                blnDone = True
            Else
                If strSearch.ToUpper < strState(intMiddle).ToUpper Then
                    intHigh = intMiddle - 1
                Else
                    intLow = intMiddle + 1
                End If
            End If

        Loop

        'Output
        rtbOut.AppendText(strDetail)
    End Sub

    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click
        End

    End Sub
End Class
